<div fxLayout="column">

  <app-header [title]="'Χρήστες'" icon="person"></app-header>

  <div fxFlex="100" fxLayout="row" fxLayoutAlign="space-between" style="margin-top:10px;padding-top: 8px;padding-bottom: 0" class="header">
    <p fxLayout="column" fxLayoutAlign="center" style="margin-left: 25px;">Εγγεγραμμένοι Χρήστες</p>
  </div>

  <app-extreme-table [columns]="columns" [data]="users" noDataText="Δεν υπάρχουν εγγεγραμμένοι χρήστες" ></app-extreme-table>

</div>
<!--<div fxFlex="100" fxLayout="column" fxHide fxShow.gt-sm>-->

<!--  <app-header [title]="'Χρήστες'" icon="person"></app-header>-->


<!--  <div fxFlex="100" fxLayout="row" fxLayoutAlign="space-between"-->
<!--       style="margin-top:10px;padding-top: 8px;padding-bottom: 0" class="header">-->
<!--    <p fxLayout="column" fxLayoutAlign="center" style="margin-left: 25px;">Εγγεγραμμένοι Χρήστες</p>-->
<!--    <mat-form-field style="margin-right: 25px;" color="accent">-->
<!--      <mat-label style="color: white;">-->
<!--        Αναζήτηση-->
<!--      </mat-label>-->
<!--      <input matInput (keyup)="search($event)" color="accent">-->
<!--    </mat-form-field>-->
<!--  </div>-->


<!--  <div [hidden]="!hasData">-->
<!--    <mat-table [dataSource]="dataSource" class="mat-elevation-z8">-->
<!--      <ng-container *ngFor="let column of columns" [matColumnDef]="column.columnDef">-->
<!--        <mat-header-cell *matHeaderCellDef>-->
<!--          {{column.header}}-->
<!--        </mat-header-cell>-->
<!--        <mat-cell *matCellDef="let row">-->
<!--          {{column.cell(row)}}-->
<!--        </mat-cell>-->
<!--      </ng-container>-->
<!--      <mat-header-row *matHeaderRowDef="displayedColumns sticky:true"></mat-header-row>-->
<!--      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>-->
<!--    </mat-table>-->
<!--    <mat-paginator #tablePaginator [pageSize]="10" showFirstLastButtons></mat-paginator>-->
<!--  </div>-->
<!--  <div [hidden]="!isLoading" style="background-color: white; padding: 100px; justify-content: center;-->
<!--  align-items: center;">-->
<!--    <mat-spinner style="margin:0 auto;"></mat-spinner>-->
<!--  </div>-->
<!--  <div [hidden]="!isEmpty" style="background-color: white; padding: 100px; text-align: center">Δεν υπάρχουν εγγεγραμμένοι χρήστες.</div>-->
<!--</div>-->

<!--<div fxFlex="100" fxLayout="column" fxHide fxShow.lt-md class="card-container">-->
<!--  <p style="border-radius: 5px; margin-bottom: 10px;">Εγγεγραμμένοι Χρήστες</p>-->
<!--  <mat-form-field>-->
<!--    <mat-label style="padding-left: 5px;">-->
<!--      Αναζήτηση-->
<!--    </mat-label>-->
<!--    <input matInput (keyup)="searchCard($event)">-->
<!--  </mat-form-field>-->
<!--  <div [hidden]="!hasData" *ngFor="let user of cardSourceFiltered" >-->
<!--    <mat-card>-->
<!--      <div class="card-element">-->
<!--        <span fxFlex="30" style="margin-right: 15px;">ID</span>-->
<!--        <span>{{user.id}}</span>-->
<!--      </div>-->
<!--      <div class="card-element">-->
<!--        <span fxFlex="30" style="margin-right: 15px;">Email</span>-->
<!--        <span>{{user.identifier}}</span></div>-->
<!--      <div class="card-element">-->
<!--        <span fxFlex="30" style="margin-right: 15px;">Όνομα</span>-->
<!--        <span>{{user.firstName}}</span></div>-->
<!--      <div class="card-element">-->
<!--        <span fxFlex="30" style="margin-right: 15px;">Επίθετο</span>-->
<!--        <span>{{user.lastName}}</span></div>-->
<!--      <div class="card-element">-->
<!--        <span fxFlex="30" style="margin-right: 15px;">Πάροχος</span>-->
<!--        <span>{{user.provider}}</span></div>-->
<!--    </mat-card>-->
<!--  </div>-->
<!--  <div [hidden]="!isLoading" style="background-color: white; padding: 100px; justify-content: center;-->
<!--  align-items: center;">-->
<!--    <mat-spinner style="margin:0 auto;"></mat-spinner>-->
<!--  </div>-->
<!--  <div [hidden]="!isEmpty" style="background-color: white; padding: 100px; text-align: center">Δεν υπάρχουν εγγεγραμμένοι χρήστες.</div>-->
<!--</div>-->
